Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 25 May 2017, 03:22
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Chromium 58 with pepper-flash
Post new topic   Reply to topic View previous topic :: View next topic
Page 21 of 24 [348 Posts]   Goto page: Previous 1, 2, 3, ..., 19, 20, 21, 22, 23, 24 Next
Author Message
edoc


Joined: 07 Aug 2005
Posts: 4722
Location: Southeast Georgia, USA

PostPosted: Sun 02 Oct 2016, 20:09    Post subject: Re: 64-bit - chromium64_53.0.2785.116+pepper_23.0.0.162  

peebee wrote:
64-bit "OpenMandriva" build:

chromium64_53.0.2785.116+pepper_23.0.0.162.sfs

Tested on slacko64_6.9.6.1

and after being converted on xenialpup64-7.0.7


Cool!

I wonder when Kernel 4.8rc will be used as it opens up the possibility of use on tablets such as the Chuwi Hi12.

Thanks!

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
TahrPup64 & Lighthouse64-b602 & JL64-603
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 2697
Location: Worcestershire, UK

PostPosted: Mon 17 Oct 2016, 05:35    Post subject: chromium_54.0.2840.59+pepper_23.0.0.207  

UPDATED 09-nov-2016

***Please delete file /usr/lib/chromium-browser-stable/chromium-run1 before running this new version***

chromium_54.0.2840.59+pepper_23.0.0.207.sfs

chromium64_54.0.2840.59+pepper_23.0.0.207.sfs

This version of chromium comes from the OpenMandriva project

Works on "2016" era pups such as:
xenialpup-7.0.4 and derivatives (LxPupXenial-16.08.2)
slacko-6.9.6.4
LxPupSc-16.10.1

slacko64-6.9.6.4
LxPup64-16.10.1

It sadly doesn't work on:
slacko-6.3.2 and derivatives (LxPup-s-16.07.1 and X-Slacko-4.2)

_________________
LxPup = Puppy + LXDE

Last edited by peebee on Mon 12 Dec 2016, 07:35; edited 2 times in total
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 2697
Location: Worcestershire, UK

PostPosted: Wed 26 Oct 2016, 12:24    Post subject:  

Updated to pepperflash 23.0.0.207 - Adobe Security Bulletin
_________________
LxPup = Puppy + LXDE

Last edited by peebee on Sat 12 Nov 2016, 03:38; edited 4 times in total
Back to top
View user's profile Send private message Visit poster's website 
Illutorium

Joined: 06 Aug 2014
Posts: 148

PostPosted: Fri 04 Nov 2016, 10:42    Post subject: Re: Alternative version for tahrpup etc.  

peebee wrote:
UPDATED 11-oct-16

chromium_53.0.2785.116+pepper_23.0.0.185.sfs

This version of chromium comes from the OpenMandriva project

It appears to work on:
tahrpup-6.0.5 and derivatives (LxPupTahr-15.12.1 and X-Tahr-2.0)

It also works on "2016" era pups such as:
xenialpup-7.0.4 and derivatives (LxPupXenial-16.08.2)
slacko-6.9.6.1
LxPupSc-16.09.3

It sadly doesn't work on:
slacko-6.3.2 and derivatives (LxPup-s-16.07.1 and X-Slacko-4.2)
LxPupPrecise-15.09.1

It's also a bit smaller (10MB) than the AlienBob Slackware builds.

Please test and report any issues.

64-bit version in later post


So yet that's are be worked on My Tahr build (Tahr Lite 6.1 with Willy X.org Port),But if be will more modulated that's will be pack at .SFS with:

1. libnspr4 [/usr/lib]
2. libnss3 [/usr/lib]
3. libnss3-nssdb [/etc and /var]

but Chromium 54 doesn't be works on Tahr because that's depends at Xenial libraries as libpng16 anyway'
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 2697
Location: Worcestershire, UK

PostPosted: Sat 12 Nov 2016, 06:39    Post subject: chromium_54.0.2840.100+pepper_23.0.0.207  

UPDATED 19-nov-16

Based on AlienBob builds:

For 32 bit slackware-14.2 and xenial pups only:
chromium_54.0.2840.100+pepper_23.0.0.207_lx.sfs

For 64 bit slackware-14.2 pups only:
chromium64_54.0.2840.100+pepper_23.0.0.207_lx.sfs

Widevine plugin for 64-bits

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 2697
Location: Worcestershire, UK

PostPosted: Mon 12 Dec 2016, 07:23    Post subject: chromium_55.0.2883.75+pepper_24.0.0.194  

Updated 10-jan-2017

***Please delete file /usr/lib/chromium-browser-stable/chromium-run1 before running this new version***

chromium_55.0.2883.75+pepper_24.0.0.194.sfs

chromium64_55.0.2883.75+pepper_24.0.0.194.sfs

This version of chromium comes from the OpenMandriva project

Works on "2016" era pups such as:
xenialpup-7.0.4 and derivatives (LxPupXenial-16.08.2)
slacko-6.9.6.4
LxPupSc-16.12.2

slacko64-6.9.6.4
LxPup64-16.10.1

It sadly doesn't work on:
slacko-6.3.2 and derivatives (LxPup-s-16.07.1 and X-Slacko-4.2)

_________________
LxPup = Puppy + LXDE

Last edited by peebee on Tue 14 Feb 2017, 16:35; edited 5 times in total
Back to top
View user's profile Send private message Visit poster's website 
Mike Walsh


Joined: 28 Jun 2014
Posts: 2562
Location: King's Lynn, UK.

PostPosted: Mon 12 Dec 2016, 20:38    Post subject:  

Glad to see you finally got the bugs ironed out, mate!

Think I'll stick with Chrome, though. That older glibc requirement is a definite bonus, at the moment... Very Happy

No doubt I'll find this same problem cropping up at some point in the not too distant future. (*groan*)

But we're not there.....yet. If we do, I'll just revert back to Chrome 53.....the last one that had the path coded for the separate PepperFlash folder. We shall see...after all, I'm running Chrome 26 in Lucid..!

An out-of-date browser in an out of date OS! Laughing Laughing


Mike. Wink

_________________
If I've helped you.....please say 'Thanks'!
MY PUPPY PACKAGES
--------------------------------------

Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 2697
Location: Worcestershire, UK

PostPosted: Tue 13 Dec 2016, 12:31    Post subject:  

Now PepperFlash-24.0.0.186
_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 2697
Location: Worcestershire, UK

PostPosted: Thu 15 Dec 2016, 12:55    Post subject:  

AlienBob builds....bigger but no GTK3.....

chromium_55.0.2883.75+pepper_24.0.0.186_lx

chromium64_55.0.2883.75+pepper_24.0.0.186_lx

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 2697
Location: Worcestershire, UK

PostPosted: Tue 10 Jan 2017, 15:26    Post subject:  

Updated to pepperflash-24.0.0.194
_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 2697
Location: Worcestershire, UK

PostPosted: Thu 02 Feb 2017, 15:25    Post subject: chromium_56.0.2924.76+pepper_24.0.0.194
Subject description: now run-as-spot
 

chromium_56.0.2924.76+pepper_24.0.0.194_lx.sfs

32-bit only so far....based on AlienBob's slackware build

IMPORTANT CHANGE - with version 56 chromium will only run as a "normal" user (i.e. not as root) - therefore this version is "run-as-spot"

If /usr/sbin/run-as-spot is not available then it will run with all sandboxing disabled.

Config files and downloads are stored in /root/spot - therefore it will not use previous configs - it might be possible to copy them over but this has not been tested.

So - use with caution!!!

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 2697
Location: Worcestershire, UK

PostPosted: Fri 03 Feb 2017, 11:40    Post subject:  

Slightly changed version re-uploaded - now changes the ownership to root:root of anything in /root/spot/Downloads on closure of chromium
_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
Mike Walsh


Joined: 28 Jun 2014
Posts: 2562
Location: King's Lynn, UK.

PostPosted: Fri 03 Feb 2017, 20:44    Post subject:
Subject description: Inbox...
 

Hi, peebee.

Check your 'Inbox'.....and let me know what you think. Perhaps we can work out a common refined 'fix' between us? Smile


Mike. Wink

_________________
If I've helped you.....please say 'Thanks'!
MY PUPPY PACKAGES
--------------------------------------

Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 2697
Location: Worcestershire, UK

PostPosted: Sun 05 Feb 2017, 06:22    Post subject: chromium_56.0.2924.87 + pepperflash_24.0.0.221  

Re-uploaded 14-feb-2017

***Please delete file /usr/lib/chromium-browser-stable/chromium-run1 before running this new version***

chromium_56.0.2924.87+pepper_24.0.0.221.sfs

chromium64_56.0.2924.87+pepper_24.0.0.221.sfs

This version of chromium comes from the OpenMandriva project

Should work on "2016/17" era pups such as:
slacko-6.9.6.4
LxPupSc-17.02.1 (tested)

LxPupXenial-16.08.2 needs libharfbuzz update pet - attached

slacko64-6.9.6.4
LxPup64-16.10.1 (tested)

It sadly won't work on:
slacko-6.3.2 and derivatives (LxPup-s-16.07.1 and X-Slacko-4.2)
libharfbuzz0-1.2.6-1-omv2015.0.i586.pet
Description 
pet

 Download 
Filename  libharfbuzz0-1.2.6-1-omv2015.0.i586.pet 
Filesize  153.99 KB 
Downloaded  31 Time(s) 
Screenshot.png
 Description   
 Filesize   109.93 KB
 Viewed   1136 Time(s)

Screenshot.png


_________________
LxPup = Puppy + LXDE

Last edited by peebee on Tue 07 Mar 2017, 12:28; edited 6 times in total
Back to top
View user's profile Send private message Visit poster's website 
01micko


Joined: 11 Oct 2008
Posts: 8627
Location: qld

PostPosted: Sun 05 Feb 2017, 07:52    Post subject:  

@Mike and peebee.

If running as root is necessary then Iguleder's trick still works. See http://murga-linux.com/puppy/viewtopic.php?t=72667.

I also tried this on the CLI

Code:
# LD_PRELOAD="/usr/lib64/libpuppygc.so" /usr/bin/google-chrome-stable
[22132:22156:0205/213818.957618:ERROR:bus.cc(427)] Failed to connect to the bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken


I'm not fussed by the error.. chrome/chromium is noisy.. I'm posting from it now (google-chrome 56.0.2924.87 (64-bit)) downloaded with Ruari's gist.

The LD_PRELOAD routine *should* be able to be sed'd into the Exec= line of the desktop entry thus most menu systems can then pick it up. I didn't test that but did briefly hack my ~/.jwmrc with that line.

Cheers!

_________________
Puppy Linux Blog - contact me for access
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 21 of 24 [348 Posts]   Goto page: Previous 1, 2, 3, ..., 19, 20, 21, 22, 23, 24 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1126s ][ Queries: 13 (0.0348s) ][ GZIP on ]